ICU 78.1: icu::message2::FormatterFactory Class Reference

ICU 78.1 78.1

Public Member Functions
icu::message2::FormatterFactory Class Referenceabstract

Interface that factory classes for creating formatters must implement. More...

`#include <messageformat2_function_registry.h>`

Inheritance diagram for icu::message2::FormatterFactory:

## Public Member Functions
virtual Formatter * | createFormatter (const Locale &locale, UErrorCode &status)=0
| Constructs a new formatter object. More...
virtual | ~FormatterFactory ()
| Destructor. More...
FormatterFactory & | operator= (const FormatterFactory &)=delete
| Copy constructor. More...
Public Member Functions inherited from icu::UObject
virtual | ~UObject ()
| Destructor. More...
virtual UClassID | getDynamicClassID () const
| ICU4C "poor man's RTTI", returns a UClassID for the actual ICU class. More...

## Detailed Description

Interface that factory classes for creating formatters must implement.

Internal:
  Do not use. This API is for internal use only. ICU 75 technology preview

Deprecated:
  This API is for technology preview only.

Definition at line 39 of file messageformat2_function_registry.h.

## Constructor & Destructor Documentation

## ◆ ~FormatterFactory()

virtual icu::message2::FormatterFactory::~FormatterFactory | ( |  | ) |
| virtual

Destructor.

Internal:
  Do not use. This API is for internal use only. ICU 75 technology preview

Deprecated:
  This API is for technology preview only.

## Member Function Documentation

## ◆ createFormatter()

virtual Formatter* icu::message2::FormatterFactory::createFormatter | ( | const Locale & | locale,
|  | UErrorCode & | status
| ) |  |
| pure virtual

Constructs a new formatter object.

This method is not const; formatter factories with local state may be defined.

Parameters

  locale | Locale to be used by the formatter.
  status | Input/output error code.

Returns
  The new Formatter, which is non-null if U_SUCCESS(status).

Internal:
  Do not use. This API is for internal use only. ICU 75 technology preview

Deprecated:
  This API is for technology preview only.

## ◆ operator=()

FormatterFactory& icu::message2::FormatterFactory::operator= | ( | const FormatterFactory & |  | ) |
| delete

Copy constructor.

Internal:
  Do not use. This API is for internal use only. ICU 75 technology preview

Deprecated:
  This API is for technology preview only.

The documentation for this class was generated from the following file:

- i18n/unicode/messageformat2_function_registry.h